<script setup>
import api from '@/api/api'
import { ref } from 'vue'

const { slug } = useRoute().params
const blog = ref({})

if (slug) {
    api.get(`post/${slug}`).then(res => {
        blog.value = res?.data?.data
    })
}
</script>

<template>
     <div class="SingleService">
        <v-container>
            <v-row dense>
                <v-col cols="sm-12">
                    <v-card class="mb-md-8 mb-0">
                        <v-img :src="blog.featured_image" class="align-end" height="200px" cover>
                        </v-img>
                        <v-card-title class="py-md-6 py-3 px-md-10 px-3" v-text="blog.title"></v-card-title>
                        <v-card-actions>
                            <time class="v-card-subtitle w-100 text-left">1402/02/27</time>
                        </v-card-actions>
                    </v-card>
                </v-col>
            </v-row>
        </v-container>
        <v-container>
            <v-col cols="12">
                <div class="content mt-0" v-html="blog.content"></div>
            </v-col>
        </v-container>
    </div>
    <BlogBottomSection></BlogBottomSection>
</template>

<style lang="scss">
.SingleService {
    padding: 24px 0;



    .v-card-actions {
        background-color: #f8fafd;
        position: relative;

        &::before {
            content: "";
            display: block;
            width: 80%;
            position: absolute;
            top: 0;
            left: 50%;
            margin-left: -40%;
            height: 1px;
            background: radial-gradient(ellipse at center, #d1dbe7 0, rgba(255, 255, 255, 0) 75%);
        }
    }

    .content img {
        border-radius: 16px !important;
    }

    @media only screen and (max-width: 360px) {
        .v-card-title {
            font-size: 16px;
        }

        .v-img {
            width: 100%;
            height: auto !important;
        }

        h2 {
            font-size: 18px;
            line-height: 25px;
        }

        .content img {
            width: 100% !important;
        }

        .content span {
            font-size: 12px !important;
            line-height: 25px;
        }
    }
}
</style>